/*
     $Revision$
     $Id$
*/

var changed_bits = 0;
var changed_mode = 0;


$(document).ready(function () {
    setTimeout("init_srtcontrole()", 100);
  });

function init_srtcontrole()
{
    $("#inspection_mode").change(change_mode);
    $("#unit").change(change_unit);
    $("#_moment").click(SelectBits);
    $("#ctr_discipline").change(change_ctr_discipline);

    change_ctr_discipline(true); // initieel goed zetten.
}

function change_mode()
{
    var controlemode = $("#inspection_mode").val() == 0;
    if (!controlemode)
        $("#_moment").parent().parent().hide()
    else
        $("#_moment").parent().parent().show();
    changed_mode = 1;
}

function change_unit()
{
    changed_mode = 1;
}

function callback_ctr_info(data, textStatus)
{
    if (data.ismjob)
    {
      $("#unit").val(4); // Jaarlijks.
      $("#unit").prop('disabled', true);
      $("#inspection_mode").val(1); // Interval
      $("#inspection_mode").prop('disabled', true);
    }
    else
    {
      $("#unit").prop('disabled', false);
      $("#inspection_mode").prop('disabled', false);
    }
    change_mode();
}

function change_ctr_discipline(init)
{
    var ctr_disc = $("#ctr_discipline").val();
    if (ctr_disc > 0)
    {
        $.getJSON("../Shared/get_ctr_info.asp",
                  { ctr_disc: ctr_disc},
                    function (data, textStatus)
                        {
                            callback_ctr_info(data, textStatus);
                            if (init)
                                changed_mode = 0; // Zojuist op 1 gezet, moet na initialisatie 0 zijn.
                        });
    }
}

function SelectBits()
{
    var proturl = "../ins/ins_bitsform.asp"
                + "?eenheid=" + $("#unit").val()
                + "&bits="    + $("#bits").val();
    parent.FcltMgr.openModalDetail(proturl, L("ins_srtcontrole_moment"),
                { callback: function (data)
                        { if (data.eenheid >= 0)
                          {
                             $("#bits").val(data.bits);
                             changed_bits = 1;
                          }
                        }
                } );
}

function pre_submit()
{
    var ch_mode = (changed_mode == 1);
    var ch_bits = (changed_bits == 1);
    var controlemode  = $("#inspection_mode").val() == 0;
    if (controlemode)
    {
        if (ch_mode && !ch_bits)
        {
            FcltMgr.alert(L("ins_srtcontrole_select"));
            return false;
        }
    }
    else // is_interval
    {
        $("#bits").val(null);
    }

    if ($("#object_type").val() != -1)
    {
        $("#level").val("S");
        $("#object_key").val($("#object_type").val());
    }
    else if ($("#object_group").val() != -1)
    {
        $("#level").val("G");
        $("#object_key").val($("#object_group").val());
    }
    else
    {
        $("#level").val("D");
        $("#object_key").val($("#object_discipline").val());
    }

    // Eenheid voor het opslaan uit de disable mode.
    $("#unit").attr('disabled', false);
    $("#inspection_mode").prop('disabled', false);

    return true;
}
